This patch adds platform data to support the SD/MMC slot of the Armzone
S3C2410 development board.

Index: linux-2.6.20/arch/arm/mach-s3c2410/mach-qt2410.c
===================================================================
--- linux-2.6.20.orig/arch/arm/mach-s3c2410/mach-qt2410.c	2007-02-15 17:07:38.000000000 +0100
+++ linux-2.6.20/arch/arm/mach-s3c2410/mach-qt2410.c	2007-02-15 17:08:16.000000000 +0100
@@ -56,6 +57,7 @@
 #include <asm/arch/ts.h>
 #include <asm/arch/spi.h>
 #include <asm/arch/spi-gpio.h>
+#include <asm/arch/mci.h>
 
 #include "devs.h"
 #include "cpu.h"
@@ -475,6 +477,13 @@
 __setup("tft=", tft_setup);
 
 
+static struct s3c24xx_mci_pdata qt2410_mmc_cfg = {
+	.gpio_wprotect	= S3C2410_GPH8,
+	.gpio_detect	= S3C2410_GPG10,
+	.set_power	= NULL,
+	.ocr_avail 	= MMC_VDD_32_33,
+};
+
 static void __init qt2410_map_io(void)
 {
 	s3c24xx_init_io(qt2410_iodesc, ARRAY_SIZE(qt2410_iodesc));
@@ -498,6 +507,7 @@
 	s3c2410_gpio_setpin(S3C2410_GPF7, 1);
 
 	s3c_device_nand.dev.platform_data = &qt2410_nand_info;
+	s3c_device_sdi.dev.platform_data = &qt2410_mmc_cfg;
 
 	switch (tft_type) {
 	case 'p': /* production */
